function sentisListInputClickableSC(options) {
    options = options || {};

    options = processOptionsMap({

    }, options);

    var baseName = options.baseName;
    var questionId = baseName.split("X").pop();
    var _question = $("#question"+questionId);
    var browserLanguage = document.documentElement.lang;
    var scPlaceholderInput = document.querySelector('.sentis-sc-clickable-other > div.other-text-item > input');

    _question.find("li.sentis-sc-clickable").on("click change", function (e) {
        e.stopPropagation();
        var _thisItem = $(this);

        if (_thisItem.hasClass('sentis-sc-clickable-other')) {
            _thisItem.keyup(function () {
                _thisItem
                    .addClass("sentis-sc-checked-clickable")
                    .siblings("li.radio-item, li.radio-text-item")
                    .removeClass("sentis-sc-checked-clickable");
                    
                // check for multiple display columns and remove selected class
                _thisItem
                    .parent("ul")
                    .siblings("ul")
                    .children("li.radio-item, li.radio-text-item")
                    .removeClass("sentis-sc-checked-clickable");
            });
        } else {
            _thisItem
                .addClass("sentis-sc-checked-clickable")
                .siblings("li.radio-item, li.radio-text-item")
                .removeClass("sentis-sc-checked-clickable");
                
            _thisItem
                .parent("ul")
                .siblings("ul")
                .children("li.radio-item, li.radio-text-item")
                .removeClass("sentis-sc-checked-clickable");
        }
    });
    
    // changes placeholder text depending on survey language
    switch (browserLanguage) {
        case "fr":
            scPlaceholderInput.placeholder = "veuillez préciser";
            break;
        case "zh-Hans":
            scPlaceholderInput.placeholder = "请明确说明";
            break;
        case "pa":
            scPlaceholderInput.placeholder = "ਕਿਰਪਾ ਕਰਕੇ ਨਿਰਧਾਰਿਤ ਕਰੋ";
            break;
    }
}


